/**
 * This file is part of CloudML [ http://cloudml.org ]
 *
 * Copyright (C) 2012 - SINTEF ICT
 * Contact: Franck Chauvel <franck.chauvel@sintef.no>
 *
 * Module: root
 *
 * CloudML is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * CloudML is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with CloudML. If not, see
 * <http://www.gnu.org/licenses/>.
 */
package org.cloudml.core;

/**
 * Created by Iurii on 4/8/2015.
 */
public class LoadBalancerEntity {

    private InternalComponent loadBalancerComponent = null;
    private InternalComponentInstance loadBalancerInternalComponentInstance = null;
    private VM loadBalancerVM = null;
    private VMInstance loadBalancerVmInstance = null;
    private ExecuteInstance loadBalancerExecuteInstance = null;
    private DirectCommand loadBalancerDirectCommand = null;

    public LoadBalancerEntity(InternalComponent internalComponent,
                               InternalComponentInstance internalComponentInstance,
                               VM vm,
                               VMInstance vmInstance,
                               ExecuteInstance executeInstance){
        this.loadBalancerComponent = internalComponent;
        this.loadBalancerInternalComponentInstance = internalComponentInstance;
        this.loadBalancerVM = vm;
        this.loadBalancerVmInstance = vmInstance;
        this.loadBalancerExecuteInstance = executeInstance;
    }

    public InternalComponent getComponent() {
        return loadBalancerComponent;
    }

    public InternalComponentInstance getComponentInstance() {
        return loadBalancerInternalComponentInstance;
    }

    public VM getVM() {
        return loadBalancerVM;
    }

    public VMInstance getVmInstance() {
        return loadBalancerVmInstance;
    }

    public ExecuteInstance getExecuteInstance() {
        return loadBalancerExecuteInstance;
    }

    public DirectCommand getLoadBalancerDirectCommand() {
        return loadBalancerDirectCommand;
    }

    public void setLoadBalancerDirectCommand(DirectCommand loadBalancerDirectCommand) {
        this.loadBalancerDirectCommand = loadBalancerDirectCommand;
    }
}
